Log in to screencast.com account from Camtasia

  • 1
  • Question
  • Updated 6 months ago
  • (Edited)
I'm trying to upload a video from Camtasia, but it appears that my password is not being accepted.  Also, it seems to only recognize my old email address as a valid email.  (I recently changed my email address on my TechSmith account).  I can login to the TechSmith website using my new email address and password, and I can access screencast.com once logging in.  However, I am not able to use my TechSmith credentials to login from the Camtasia production wizard login screen.  Please advise.  As a side note, when I tried to post this question I was prompted to sign in, and I was sent a verification code to my OLD email address.  Very confusing.

Photo of Mike Grattan

Mike Grattan

  • 2 Posts
  • 0 Reply Likes

Posted 6 months ago

  • 1
Photo of Fred Grover

Fred Grover, Champion

  • 2425 Posts
  • 376 Reply Likes
Mike,

 I cannot say I have ran into this same issue as you. Sorry to hear that you are having these issues. Can you upload your video(s) after manually logging into your screencast.com account or is it that it will not let you do either way by using the Upload to Screencast when producing or manually ? Changing the information may or may not have confused things a bit so I would suggest putting in a Support Ticket which is free and see if they can get your account straightened back out for you which I am sure they can do. The Support Information is below:

Techsmith Free support

https://support.techsmith.com/hc/en-us

Phone:
    +1.517.381.2300
Toll Free:
    800.517.3001 (U.S. & Canada Only)
Hours:
    8:00 AM to 7:00 PM EST Monday through Friday

Chat:
   6:00 AM to 9:00 PM EST Monday thru Friday

Do keep in mind with the New Years coming up you may not be able to reach them until after the New Year. I hope this information helps you and let us know if it gets fixed please by posting back here. Thanks and have a great day/night.

Photo of Mike Grattan

Mike Grattan

  • 2 Posts
  • 0 Reply Likes
Thanks, but they won't help me because my version is too old (8.6).